Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-36223

Add hook for the fuzzer to not send lsid in the preamble on v3.6

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.6.7
    • Testing Infrastructure
    • None
    • Fully Compatible
    • TIG 2018-07-30
    • 0

    Description

      The fuzzer can be set to FCV3.4 on the 3.6 branch. We should not send the lsid when running the preamble to prevent it from failing if the server happens to be on FCV 3.4.

      Also change the jstestfuzz*session* suites to use this new hook.

      Attachments

        Issue Links

          Activity

            People

              robert.guo@mongodb.com Robert Guo
              robert.guo@mongodb.com Robert Guo
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: